NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::JointmarkBuilder Class Reference

Represents a @link Weld::Jointmark Weld::Jointmark@endlink  builder  <br> To create a new instance of this class, use @link Weld::WeldManager::CreateJointmarkBuilder  Weld::WeldManager::CreateJointmarkBuilder @endlink  <br> 

Default values. More...

Inheritance diagram for NXOpen::Weld::JointmarkBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Method { MethodGuideCurve, MethodMirror, MethodPoints }
 The type of construction method for creating Jointmark. More...
 
enum  ReferenceSheetTypes { ReferenceSheetTypesOverlap, ReferenceSheetTypesTop }
 The type of sheets to create. More...
 

Public Member Functions

void AppendPoints (bool mode, NXOpen::Curve *curve)
 Creates a list of points on the overlap sheet.
 
bool Associativity ()
 Returns the automatic update option also known as associativity.
 
NXOpen::Weld::CharacteristicsBuilderCharacteristics ()
 Returns the characteristics
Created in NX9.0.0.
 
bool ConnectPart ()
 Returns the option of connecting only one part.
 
NXOpen::Weld::JointmarkBuilder::Method ConstructionMethod ()
 Returns the construction method for creating Jointmark
Created in NX9.0.0.
 
NXOpen::CurveCreateSymbolCurve (const NXString &path)
 Create curve From PMI symbol.
 
NXOpen::CurveCreateSymbolCurve (const char *path)
 Create curve From PMI symbol.
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX9.0.0.
 
NXOpen::Weld::JointmarkFaceSetsBuilderListFaceSetsList ()
 Returns the list of face sets
Created in NX9.0.0.
 
NXOpen::Features::FeatureGetReferenceSheet ()
 Returns the Reference Sheet feature.
 
void GetSheetEdges (std::vector< NXOpen::Edge * > &edges)
 Edges of created sheet
Created in NX9.0.0.
 
NXOpen::Weld::JointmarkGuideBuilderListGuideCurvesList ()
 Returns the list of guide curves
Created in NX9.0.0.
 
NXOpen::Weld::JointmarkFaceSetsBuilderNewFaceSets ()
 Creates a Weld::JointmarkFaceSetsBuilder object.
 
NXOpen::Weld::JointmarkGuideBuilderNewGuide ()
 Creates a Weld::JointmarkGuideBuilder object.
 
NXOpen::Weld::JointmarkPointsBuilderNewPoints ()
 Creates a Weld::JointmarkPointsBuilder object.
 
NXOpen::PlanePlane ()
 Returns the plane used for mirror
Created in NX9.0.0.
 
NXOpen::Weld::JointmarkPointsBuilderListPointList ()
 Returns the list of points
Created in NX9.0.0.
 
NXOpen::Weld::JointmarkBuilder::ReferenceSheetTypes ReferenceSheetType ()
 Returns the type of reference sheet
Created in NX9.0.0.
 
NXOpen::SelectTaggedObjectListSelectMirrorObject ()
 Returns the selected objects for mirror.
 
NXOpen::SelectPointListSelectPointsObject ()
 Returns the selected objects for Points
Created in NX9.0.0.
 
void SetAssociativity (bool associativity)
 Sets the automatic update option also known as associativity.
 
void SetConnectPart (bool connectPart)
 Sets the option of connecting only one part.
 
void SetConstructionMethod (NXOpen::Weld::JointmarkBuilder::Method method)
 Sets the construction method for creating Jointmark
Created in NX9.0.0.
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX9.0.0.
 
void SetPlane (NXOpen::Plane *plane)
 Sets the plane used for mirror
Created in NX9.0.0.
 
void SetReferenceSheetType (NXOpen::Weld::JointmarkBuilder::ReferenceSheetTypes refSheet)
 Sets the type of reference sheet
Created in NX9.0.0.
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector which points to Y axis
Created in NX9.0.0.
 
void UpdateFeatures ()
 Updates all the items on the points list based on the construction method and related inputs.
 
NXOpen::Features::FeatureUpdateReferenceSheet (bool facesModified)
 Prepares a Reference Sheet for placing Jointmark features.
 
NXOpen::DirectionVector ()
 Returns the vector which points to Y axis
Created in NX9.0.0.
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature.
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder.
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited.
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0.
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1.
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1.
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0.
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0.
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1.
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1.
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1.
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1.
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1.
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited.
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1.
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0.
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder.
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder.
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit.
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder.
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Represents a @link Weld::Jointmark Weld::Jointmark@endlink  builder  <br> To create a new instance of this class, use @link Weld::WeldManager::CreateJointmarkBuilder  Weld::WeldManager::CreateJointmarkBuilder @endlink  <br> 

Default values.

Property Value

Associativity

1

ConnectPart

0

ConstructionMethod

GuideCurve

DistanceTolerance

0.0254

ReferenceSheetType

Overlap


Created in NX9.0.0.

Member Enumeration Documentation

The type of construction method for creating Jointmark.

Enumerator:
MethodGuideCurve 

Guide Curve.

MethodMirror 

Mirror.

MethodPoints 

Points.

The type of sheets to create.

Enumerator:
ReferenceSheetTypesOverlap 

Overlap.

ReferenceSheetTypesTop 

Top.

Member Function Documentation

void NXOpen::Weld::JointmarkBuilder::AppendPoints ( bool  mode,
NXOpen::Curve curve 
)

Creates a list of points on the overlap sheet.

In addition, a curve selected by the user will be placed at these points.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
modeCreate or Edit
curveCurve to place at these points
bool NXOpen::Weld::JointmarkBuilder::Associativity ( )

Returns the automatic update option also known as associativity.

If true, the curve representing the Jointmark feature will change its location if the guide curve is updated
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::JointmarkBuilder::Characteristics ( )

Returns the characteristics
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::JointmarkBuilder::ConnectPart ( )

Returns the option of connecting only one part.

If true, Jointmark feature is created on a single component.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::JointmarkBuilder::Method NXOpen::Weld::JointmarkBuilder::ConstructionMethod ( )

Returns the construction method for creating Jointmark
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Curve* NXOpen::Weld::JointmarkBuilder::CreateSymbolCurve ( const NXString path)

Create curve From PMI symbol.

Returns
Curve from symbol
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
Parameters
pathSymbol path
NOTE: The full Unicode character set is not supported for this parameter.
NXOpen::Curve* NXOpen::Weld::JointmarkBuilder::CreateSymbolCurve ( const char *  path)

Create curve From PMI symbol.

Returns
Curve from symbol
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
Parameters
pathSymbol path
NOTE: The full Unicode character set is not supported for this parameter.
double NXOpen::Weld::JointmarkBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::JointmarkFaceSetsBuilderList* NXOpen::Weld::JointmarkBuilder::FaceSetsList ( )

Returns the list of face sets
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Features::Feature* NXOpen::Weld::JointmarkBuilder::GetReferenceSheet ( )

Returns the Reference Sheet feature.

Returns

Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
void NXOpen::Weld::JointmarkBuilder::GetSheetEdges ( std::vector< NXOpen::Edge * > &  edges)

Edges of created sheet
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
edgesedges
NXOpen::Weld::JointmarkGuideBuilderList* NXOpen::Weld::JointmarkBuilder::GuideCurvesList ( )

Returns the list of guide curves
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::JointmarkFaceSetsBuilder* NXOpen::Weld::JointmarkBuilder::NewFaceSets ( )

Creates a Weld::JointmarkFaceSetsBuilder object.

Returns

Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Weld::JointmarkGuideBuilder* NXOpen::Weld::JointmarkBuilder::NewGuide ( )

Creates a Weld::JointmarkGuideBuilder object.

Returns

Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Weld::JointmarkPointsBuilder* NXOpen::Weld::JointmarkBuilder::NewPoints ( )

Creates a Weld::JointmarkPointsBuilder object.

Returns

Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Plane* NXOpen::Weld::JointmarkBuilder::Plane ( )

Returns the plane used for mirror
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::JointmarkPointsBuilderList* NXOpen::Weld::JointmarkBuilder::PointList ( )

Returns the list of points
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::JointmarkBuilder::ReferenceSheetTypes NXOpen::Weld::JointmarkBuilder::ReferenceSheetType ( )

Returns the type of reference sheet
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::SelectTaggedObjectList* NXOpen::Weld::JointmarkBuilder::SelectMirrorObject ( )

Returns the selected objects for mirror.

These objects can be features or curves representing Jointmark
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::SelectPointList* NXOpen::Weld::JointmarkBuilder::SelectPointsObject ( )

Returns the selected objects for Points
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::JointmarkBuilder::SetAssociativity ( bool  associativity)

Sets the automatic update option also known as associativity.

If true, the curve representing the Jointmark feature will change its location if the guide curve is updated
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
associativityassociativity
void NXOpen::Weld::JointmarkBuilder::SetConnectPart ( bool  connectPart)

Sets the option of connecting only one part.

If true, Jointmark feature is created on a single component.
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
connectPartconnectpart
void NXOpen::Weld::JointmarkBuilder::SetConstructionMethod ( NXOpen::Weld::JointmarkBuilder::Method  method)

Sets the construction method for creating Jointmark
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
methodmethod
void NXOpen::Weld::JointmarkBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Weld::JointmarkBuilder::SetPlane ( NXOpen::Plane plane)

Sets the plane used for mirror
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
planeplane
void NXOpen::Weld::JointmarkBuilder::SetReferenceSheetType ( NXOpen::Weld::JointmarkBuilder::ReferenceSheetTypes  refSheet)

Sets the type of reference sheet
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
refSheetrefsheet
void NXOpen::Weld::JointmarkBuilder::SetVector ( NXOpen::Direction vector)

Sets the vector which points to Y axis
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
vectorvector
void NXOpen::Weld::JointmarkBuilder::UpdateFeatures ( )

Updates all the items on the points list based on the construction method and related inputs.


Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Features::Feature* NXOpen::Weld::JointmarkBuilder::UpdateReferenceSheet ( bool  facesModified)

Prepares a Reference Sheet for placing Jointmark features.

If the sheet is suppressed, it will be unsuppressed.

Returns

Created in NX9.0.0.

License requirements : ugweld ("UG WELD")
Parameters
facesModifiedIndicates if Reference Sheet needs to be updated.
NXOpen::Direction* NXOpen::Weld::JointmarkBuilder::Vector ( )

Returns the vector which points to Y axis
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.